/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 店铺审核参数
 *
 * @author YXF
 * @date 2021-01-27 09:10:00
 */
@Schema(description = "店铺审核列表参数")
public class AuditingInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "审核id)")
    private Long shopAuditingId;

    @Schema(description = "审核状态(0 未审核 1已通过 -1未通过)")
    private Integer status;

    @Schema(description = "店铺名字")
    private String shopName;

    @Schema(description = "用户名字")
    private String userName;

    @Schema(description = "店铺简介")
    private String intro;

    @Schema(description = "开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    @Schema(description = "结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @Schema(description = "店铺状态 (-1:已删除 0: 停业中 1:营业中 2:平台下线 3:开店申请待审核 4:店铺申请中 5:上线申请待审核)")
    private Integer shopStatus;

    public Long getShopAuditingId() {
        return shopAuditingId;
    }

    public void setShopAuditingId(Long shopAuditingId) {
        this.shopAuditingId = shopAuditingId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getShopStatus() {
        return shopStatus;
    }

    public void setShopStatus(Integer shopStatus) {
        this.shopStatus = shopStatus;
    }

    @Override
    public String toString() {
        return "AuditingInfoDTO{" +
                "shopAuditingId=" + shopAuditingId +
                ", status=" + status +
                ", shopName='" + shopName + '\'' +
                ", userName='" + userName + '\'' +
                ", intro='" + intro + '\'' +
                ", beginTime=" + beginTime +
                ", endTime=" + endTime +
                ", shopStatus=" + shopStatus +
                '}';
    }
}
