/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商家审核信息DTO
 *
 * @author YXF
 * @date 2021-02-01 17:10:35
 */
public class ShopAuditingDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺审核id")
    private Long shopAuditingId;

    @Schema(description = "申请人id")
    private Long userId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "审核人id")
    private Long auditorId;

    @Schema(description = "店铺类型1自营店 2普通店")
    private Integer shopType;

    @Schema(description = "0 未审核 1已通过 -1未通过 2平台下线 3 平台下线待审核")
    private Integer status;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "签约起始时间")
    private Date contractStartTime;

    @Schema(description = "签约终止时间")
    private Date contractEndTime;

    public Date getContractStartTime() {
        return contractStartTime;
    }

    public void setContractStartTime(Date contractStartTime) {
        this.contractStartTime = contractStartTime;
    }

    public Date getContractEndTime() {
        return contractEndTime;
    }

    public void setContractEndTime(Date contractEndTime) {
        this.contractEndTime = contractEndTime;
    }

    public Integer getShopType() {
        return shopType;
    }

    public void setShopType(Integer shopType) {
        this.shopType = shopType;
    }

    public Long getShopAuditingId() {
        return shopAuditingId;
    }

    public void setShopAuditingId(Long shopAuditingId) {
        this.shopAuditingId = shopAuditingId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @Override
    public String toString() {
        return "ShopAuditingDTO{" +
                "shopAuditingId=" + shopAuditingId +
                ", userId=" + userId +
                ", shopId=" + shopId +
                ", auditorId=" + auditorId +
                ", shopType=" + shopType +
                ", status=" + status +
                ", remarks='" + remarks + '\'' +
                ", contractStartTime=" + contractStartTime +
                ", contractEndTime=" + contractEndTime +
                '}';
    }
}
