/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商品装修模板表DTO
 *
 * @author Orange
 * @date 2022-08-12 14:04:57
 */
public class ShopTemplateDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺模板表")
    private Long templateId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "装修内容")
    private String content;

    @Schema(description = "图片")
    private String image;

    @Schema(description = "类型 1.pc 2.移动端")
    private Integer type;

    @Schema(description = "备注")
    private String remark;

    public Long getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "ShopTemplateDTO{" +
                "templateId=" + templateId +
                ",shopId=" + shopId +
                ",name=" + name +
                ",content=" + content +
                ",image=" + image +
                ",type=" + type +
                ",remark=" + remark +
                '}';
    }
}
