/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 代销设置表
 *
 * @author lhd
 * @date 2022-06-22 17:09:12
 */
public class ShopSubstituteSales extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 代销设置id
     */
    private Long shopSubstituteSalesId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 代销设置类型 0.智能设价 1.手动设价
     */
    private Integer salesType;

    /**
     * 默认加价比例 0.按比例加价 1.按固定数值加价
     */
    private Integer salesPriceType;

    /**
     * 默认加价比例为0时，代表百分比*100，为1时代表实际奖励金额*100
     */
    private Long salesPrice;

    /**
     * 商家收入低于供货价订单形式默认0 0.直接转换为待采购订单 1.通过商家已结算金额扣除差价
     */
    private Integer orderShape;

    /**
     * 操作人id
     */
    private Long modifier;

    /**
     * 代销设置类型为1才有:供货价高于代销价时是否自动下架：1.是，0.否
     */
    private Integer automaticOff;

    public Integer getAutomaticOff() {
        return automaticOff;
    }

    public void setAutomaticOff(Integer automaticOff) {
        this.automaticOff = automaticOff;
    }

    public Integer getOrderShape() {
        return orderShape;
    }

    public void setOrderShape(Integer orderShape) {
        this.orderShape = orderShape;
    }

    public Long getShopSubstituteSalesId() {
        return shopSubstituteSalesId;
    }

    public void setShopSubstituteSalesId(Long shopSubstituteSalesId) {
        this.shopSubstituteSalesId = shopSubstituteSalesId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getSalesType() {
        return salesType;
    }

    public void setSalesType(Integer salesType) {
        this.salesType = salesType;
    }

    public Integer getSalesPriceType() {
        return salesPriceType;
    }

    public void setSalesPriceType(Integer salesPriceType) {
        this.salesPriceType = salesPriceType;
    }

    public Long getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(Long salesPrice) {
        this.salesPrice = salesPrice;
    }

    public Long getModifier() {
        return modifier;
    }

    public void setModifier(Long modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "ShopSubstituteSales{" +
                "shopSubstituteSalesId=" + shopSubstituteSalesId +
                ", shopId=" + shopId +
                ", salesType=" + salesType +
                ", salesPriceType=" + salesPriceType +
                ", salesPrice=" + salesPrice +
                ", orderShape=" + orderShape +
                ", modifier=" + modifier +
                ", automaticOff=" + automaticOff +
                '}';
    }
}
