/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.multishop.service;


import com.tmerclub.cloud.common.order.bo.PayNotifyBO;
import com.tmerclub.cloud.common.order.vo.OrderSimpleAmountInfoBO;

import java.util.List;
import java.util.Map;

/**
 * 商家钱包信息
 *
 * @author FrozenWatermelon
 * @date 2021-01-07 16:41:03
 */
public interface WalletLogOperationService {

    /**
     * 通过下单添加商家待结算金额，确认收货后进行结算
     * @param orderSimpleAmountInfos 订单id和店铺id关联信息
     * @param message 订单id和店铺id关联信息
     * @param settledAmountMap 店铺已结算金额map
     * @param salesMap 商家的代销配置
     */
    void addAmountByOrder(List<OrderSimpleAmountInfoBO> orderSimpleAmountInfos, PayNotifyBO message, Map<Long, Long> settledAmountMap, Map<Long, Integer> salesMap);

    /**
     * 结算给商家增加结算金额
     * @param orderId 订单id
     */
    void addAmountBySettledOrder(Long orderId);

}
