/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.multishop.vo;

import com.tmerclub.cloud.api.multishop.vo.ShopDetailVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商家审核信息VO
 *
 * @author YXF
 * @date 2021-02-01 17:10:35
 */
public class ShopAuditingVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺审核id")
    private Long shopAuditingId;

    @Schema(description = "申请人id")
    private Long userId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "审核人id")
    private Long auditorId;

    @Schema(description = "0 未审核 1已通过 -1未通过 2平台下线 3 上线待审核")
    private Integer status;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "店铺信息")
    private ShopDetailVO shopDetail;

    public Long getShopAuditingId() {
        return shopAuditingId;
    }

    public void setShopAuditingId(Long shopAuditingId) {
        this.shopAuditingId = shopAuditingId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public ShopDetailVO getShopDetail() {
        return shopDetail;
    }

    public void setShopDetail(ShopDetailVO shopDetail) {
        this.shopDetail = shopDetail;
    }

    @Override
    public String toString() {
        return "ShopAuditingVO{" +
                "shopAuditingId=" + shopAuditingId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",userId=" + userId +
                ",shopId=" + shopId +
                ",auditorId=" + auditorId +
                ",status=" + status +
                ",remarks=" + remarks +
                ",shopDetail=" + shopDetail +
                '}';
    }
}
