/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.platform.feign;

import com.tmerclub.cloud.api.platform.vo.SysConfigApiVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @author FrozenWatermelon
 * @date 2020/11/23
 */
public interface ConfigFeignClient {


    /**
     * 获取配置信息
     * @param key key
     * @return 配置信息json
     * TODO 有部分调用是在本服务内部，需要优化
     */
    ServerResponseEntity<String> getConfig(String key);

    /**
     * 获取支付系统类型
     * @return
     */
    ServerResponseEntity<Integer> getPaySysType();

    /**
     * 保存or修改配置
     * @param sysConfigApiVO sysConfig
     * TODO 有部分调用是在本服务内部，需要优化
     */
    void saveOrUpdateSysConfig(SysConfigApiVO sysConfigApiVO);

}
