/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.rbac.feign;

import com.tmerclub.cloud.api.rbac.dto.UserRoleDTO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @author FrozenWatermelon
 * @date 2020/11/25
 */
public interface UserRoleFeignClient {


    /**
     * 保存用户角色关联信息
     * @param userRoleDTO 用户角色关联信息
     */
    void saveByUserIdAndSysType(UserRoleDTO userRoleDTO);

    /**
     * 更新用户角色关联信息
     * @param userRoleDTO 用户角色关联信息
     */
    void updateByUserIdAndSysType(UserRoleDTO userRoleDTO);

    /**
     * 删除用户角色关联信息
     * @param userId 用户id
     */
    void deleteByUserIdAndSysType(Long userId);

    /**
     * 获取用户角色关联信息
     * @param userId 用户id
     * @return 用户角色关联ids
     */
    ServerResponseEntity<List<Long>> getRoleIds(Long userId);
}
