/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.coupon.feign;


import com.tmerclub.cloud.api.coupon.dto.LockCouponDTO;
import com.tmerclub.cloud.api.coupon.dto.PlatformChooseCouponDTO;
import com.tmerclub.cloud.common.order.vo.ShopCartOrderMergerVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * 优惠券
 * @author FrozenWatermelon
 * @date 2020/12/17
 */
public interface CouponOrderFeignClient {

    /**
     * 选择平台优惠券，并组装返回优惠券列表
     * @param param 优惠券参数
     * @return void
     */
    ServerResponseEntity<ShopCartOrderMergerVO> choosePlatformCoupon(PlatformChooseCouponDTO param);


    /**
     * 锁定订优惠券状态
     * @param lockCouponParams 订单id和优惠券id关联信息
     * @return void
     */
    ServerResponseEntity<Void> lockCoupon(List<LockCouponDTO> lockCouponParams);
}
