/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.feign;

import com.tmerclub.cloud.common.order.vo.ShopCartItemDiscountVO;
import com.tmerclub.cloud.common.order.vo.ShopCartVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * 优惠活动
 * @author FrozenWatermelon
 * @date 2020/12/14
 */
public interface MarketingFeignClient {

    /**
     * 计算优惠活动，并重新组合购物车
     * @param shopCarts 购物车信息
     * @param couponIds 优惠券id数组
     * @param userChangeCoupon 用户是否改变了优惠券的选择，如果用户改变了优惠券的选择，则完全根据传入参数进行优惠券的选择
     * @return void
     */
    List<ShopCartVO> calculateMarketingAndMakeUpShopCart(List<ShopCartVO> shopCarts, List<Long> couponIds, Integer userChangeCoupon);

    /**
     * 校验套餐活动
     * @param shopCartItemDiscountVOList
     * @return
     */
    ServerResponseEntity checkComboActivity(List<ShopCartItemDiscountVO> shopCartItemDiscountVOList);
}
