/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.order.feign;

import com.tmerclub.cloud.api.order.vo.OrderSettlementPayVO;
import com.tmerclub.cloud.api.order.vo.OrderSettlementSimpleVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @Author lth
 * @Date 2021/7/14 13:21
 */
public interface OrderSettlementFeignClient {

    /**
     * 根据支付单号列表获取订单号列表
     * @param payIds
     * @param userId
     * @return
     */
    ServerResponseEntity<List<OrderSettlementSimpleVO>> listOrderIdsByPayIds(Long userId, List<Long> payIds);

    /**
     * 根据订单号获取支付号
     * @param orderId
     * @return
     */
    ServerResponseEntity<OrderSettlementPayVO> getPayIdByOrderId(Long orderId);

}
