/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.payment.dto;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author lhd
 * @date 2022/03/13
 */
public class PayInfoApiDto implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 支付信息，如商品名称
     */
    private String body;

    /**
     * 支付单号
     */
    private Long payId;

    /**
     * 付款金额
     */
    private Long payAmount;

    /**
     * 支付方式
     */
    private Integer payType;

    /**
     * api回调域名
     */
    private String apiNoticeUrl;

    /**
     * 支付完成会跳地址
     */
    private String returnUrl;

    /**
     * 第三方用户id
     */
    private String bizUserId;

    /**
     * 支付回调地址类型
     */
    private Integer backType;

    /**
     * 订单ids
     */
    private String orderIds;

    /**
     * 本次支付关联的退款号
     */
    private Long refundId;
    /**
     * 是否是购买会员
     */
    private Boolean isVip;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 店铺id
     */
    private String shopId;
    /**
     * 系统类型 1:移动端 2:pc
     */
    private Integer systemType;
    /**
     * 交易验证方式 0.仅渠道验证，通商云不做交易验证 1.通商云发送并验证短信验证码，有效期3分钟。2.验证通商云支付密码
     */
    private Long validateType;

    /**
     * 支付入口
     */
    private Integer payEntry;
    /**
     * 扩展信息，通联独有
     */
    private String extendInfo;

    /**
     * 支付系统类型 0默认 1通联
     */
    private Integer paySysType;

    /**
     * 第三方订单流水号
     */
    private String bizPayNo;

    /**
     * 支付的系统类型 1:pc  2:h5  3:小程序 4:安卓  5:ios
     */
    private Integer systemModel;

    public Integer getSystemModel() {
        return systemModel;
    }

    public void setSystemModel(Integer systemModel) {
        this.systemModel = systemModel;
    }

    public String getBizPayNo() {
        return bizPayNo;
    }

    public void setBizPayNo(String bizPayNo) {
        this.bizPayNo = bizPayNo;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }

    public String getExtendInfo() {
        return extendInfo;
    }

    public void setExtendInfo(String extendInfo) {
        this.extendInfo = extendInfo;
    }

    public Integer getPayEntry() {
        return payEntry;
    }

    public void setPayEntry(Integer payEntry) {
        this.payEntry = payEntry;
    }

    public Long getValidateType() {
        return validateType;
    }

    public void setValidateType(Long validateType) {
        this.validateType = validateType;
    }

    public Integer getSystemType() {
        return systemType;
    }

    public void setSystemType(Integer systemType) {
        this.systemType = systemType;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getOrderIds() {
        return orderIds;
    }

    public void setOrderIds(String orderIds) {
        this.orderIds = orderIds;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    public Long getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Long payAmount) {
        this.payAmount = payAmount;
    }


    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getApiNoticeUrl() {
        return apiNoticeUrl;
    }

    public void setApiNoticeUrl(String apiNoticeUrl) {
        this.apiNoticeUrl = apiNoticeUrl;
    }

    public String getReturnUrl() {
        return returnUrl;
    }

    public void setReturnUrl(String returnUrl) {
        this.returnUrl = returnUrl;
    }

    public String getBizUserId() {
        return bizUserId;
    }

    public void setBizUserId(String bizUserId) {
        this.bizUserId = bizUserId;
    }

    public Integer getBackType() {
        return backType;
    }

    public void setBackType(Integer backType) {
        this.backType = backType;
    }

    public Boolean getIsVip() {
        return isVip;
    }

    public void setIsVip(Boolean isVip) {
        this.isVip = isVip;
    }

    public Boolean getVip() {
        return isVip;
    }

    public void setVip(Boolean vip) {
        isVip = vip;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    @Override
    public String toString() {
        return "PayInfoApiDto{" +
                "body='" + body + '\'' +
                ", payId=" + payId +
                ", payAmount=" + payAmount +
                ", payType=" + payType +
                ", apiNoticeUrl='" + apiNoticeUrl + '\'' +
                ", returnUrl='" + returnUrl + '\'' +
                ", bizUserId='" + bizUserId + '\'' +
                ", backType=" + backType +
                ", orderIds='" + orderIds + '\'' +
                ", refundId=" + refundId +
                ", isVip=" + isVip +
                ", userId='" + userId + '\'' +
                ", shopId='" + shopId + '\'' +
                ", systemType=" + systemType +
                ", validateType=" + validateType +
                ", payEntry=" + payEntry +
                ", extendInfo='" + extendInfo + '\'' +
                ", paySysType=" + paySysType +
                ", bizPayNo=" + bizPayNo +
                ", systemModel=" + systemModel +
                '}';
    }
}
