/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.product.feign;

import com.tmerclub.cloud.common.product.vo.CategoryVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;
import java.util.Set;

/**
 * @author lhd
 * @date 2020/12/23
 */
public interface CategoryFeignClient {

    /**
     * 根据分类id，获取分类及分类国际化信息
     * @param categoryId
     * @return
     */
    ServerResponseEntity<CategoryVO> getByCategoryId(Long categoryId);

    /**
     * 根据分类id列表获取信息
     * @param categoryIds
     * @return
     */
    ServerResponseEntity<List<CategoryVO>> getByCategoryIds(Set<Long> categoryIds);

}
