/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.product.feign;

import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @author lhd
 * @date 2020/11/12
 */
public interface SpuCommFeignClient {

    /**
     * 获取时间范围内的销量排序，放入redis并返回当前分页的商品信息
     *
     * @param key
     * @param shopId 店铺id
     * @param time 时间范围内
     * @param expireTime
     * @param esRenovationSpuSort
     * @param primaryCategoryId
     * @return
     */
    ServerResponseEntity<List<Long>> getCommNumRankSpuIdsByShopIdAndTime(String key, Long shopId,
                                                                         Integer time, Integer expireTime,
                                                                         Integer esRenovationSpuSort,
                                                                         Long primaryCategoryId);

}
