/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.feign;

import com.tmerclub.cloud.api.dto.PurchaseOrderUpdateDTO;
import com.tmerclub.cloud.api.vo.EsPageVO;
import com.tmerclub.cloud.common.order.dto.PurchaseOrderSearchDTO;
import com.tmerclub.cloud.common.order.vo.EsPurchaseOrderVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * 采购订单搜索
 * @author FrozenWatermelon
 * @date 2021/02/05
 */
public interface SearchPurchaseOrderFeignClient {

    /**
     * 分页获取采购订单信息
     * @param purchaseOrderSearchDTO
     * @return
     */
    ServerResponseEntity<EsPageVO<EsPurchaseOrderVO>> pagePurchaseOrder(PurchaseOrderSearchDTO purchaseOrderSearchDTO);

    /**
     * 更新采购订单状态
     * @param purchaseOrder
     */
    void updatePurchaseOrderStatus(PurchaseOrderUpdateDTO purchaseOrder);
}
