/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author lhd
 */
public class MemberReqDTO extends CustomerReqDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "0 全部会员 1免费会员(普通会员) 2付费会员")
    private Integer memberType;

    @Schema(description = "符合条件的userIds")
    private List<Long> userIds;

    @Schema(description = "几年前")
    private Date beforeYear;
    public MemberReqDTO() {
    }

    public MemberReqDTO(Date startTime, Date endTime) {
        super(startTime, endTime);
    }


    public Date getBeforeYear() {
        return beforeYear;
    }

    public void setBeforeYear(Date beforeYear) {
        this.beforeYear = beforeYear;
    }

    public List<Long> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<Long> userIds) {
        this.userIds = userIds;
    }

    public Integer getMemberType() {
        return memberType;
    }

    public void setMemberType(Integer memberType) {
        this.memberType = memberType;
    }


    @Override
    public String toString() {
        return "MemberReqDTO{" +
                "memberType=" + memberType +
                ", userIds=" + userIds +
                ", beforeYear=" + beforeYear +
                '}';
    }
}
