/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.biz.linstener;

import com.tmerclub.cloud.biz.service.SendMessageService;
import com.tmerclub.cloud.common.order.vo.SendNotifyBO;
import com.tmerclub.cloud.common.rocketmq.config.RocketMqConstant;
import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.apache.rocketmq.spring.core.RocketMQListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author lhd
 */
@Component
@RocketMQMessageListener(topic = RocketMqConstant.SEND_NOTIFY_TO_USER_TOPIC, consumerGroup = RocketMqConstant.SEND_NOTIFY_TO_USER_TOPIC)
public class SendNotifyToUserConsumer implements RocketMQListener<List<SendNotifyBO>> {

    @Autowired
    private SendMessageService sendMessageService;

    /**
     * 订单事件推送消息给用户
     */
    @Override
    public void onMessage(List<SendNotifyBO> notifyList) {
        sendMessageService.sendOrderNotifyMsgToUser(notifyList);
    }
}
