/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.biz.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 消息提醒设置VO
 *
 * @author FrozenWatermelon
 * @date 2022-10-24 13:48:38
 */
public class NotifyTemplateRemindVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "消息提醒设置")
    private Long notifyTemplateRemindId;

    @Schema(description = "消息模板id")
    private Long templateId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "是否开启提醒 1开启 0关闭")
    private Integer isRemind;

    @Schema(description = "1.订单催付 2.付款成功通知 3.商家同意退款 4.商家拒绝退款 5.核销提醒  6.发货提醒  7.拼团失败提醒 8.拼团成功提醒 " +
            "9.拼团开团提醒 10.会员升级提醒11.退款临近超时提醒 102.确认收货提醒 103.买家发起退款提醒 104.买家已退货提醒")
    private Integer sendType;

    @Schema(description = "通知内容")
    private String message;

    @Schema(description = "通知方式集合用逗号分隔 1.短信 2.公众号 3.站内消息")
    private String notifyTypes;

    @Schema(description = "所属菜单")
    private String menu;

    @Schema(description = "推送节点")
    private String nodeName;

    /**
     * 系统类型（1.店铺 2.平台端 3.供应商）
     */
    private Integer sysType;

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public String getMenu() {
        return menu;
    }

    public void setMenu(String menu) {
        this.menu = menu;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getNotifyTypes() {
        return notifyTypes;
    }

    public void setNotifyTypes(String notifyTypes) {
        this.notifyTypes = notifyTypes;
    }

    public Integer getSendType() {
        return sendType;
    }

    public void setSendType(Integer sendType) {
        this.sendType = sendType;
    }

    public Long getNotifyTemplateRemindId() {
        return notifyTemplateRemindId;
    }

    public void setNotifyTemplateRemindId(Long notifyTemplateRemindId) {
        this.notifyTemplateRemindId = notifyTemplateRemindId;
    }

    public Long getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getIsRemind() {
        return isRemind;
    }

    public void setIsRemind(Integer isRemind) {
        this.isRemind = isRemind;
    }

    @Override
    public String toString() {
        return "NotifyTemplateRemindVO{" +
                "notifyTemplateRemindId=" + notifyTemplateRemindId +
                ", templateId=" + templateId +
                ", shopId=" + shopId +
                ", isRemind=" + isRemind +
                ", sendType=" + sendType +
                ", message='" + message + '\'' +
                ", notifyTypes='" + notifyTypes + '\'' +
                ", menu='" + menu + '\'' +
                ", nodeName='" + nodeName + '\'' +
                ", sysType=" + sysType +
                '}';
    }
}
