/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.leaf.constant;

/**
 * 全局的分布式id键
 * 多个模块共用的
 * 不要直接使用这里面的常量，可以通过赋值给DistributedIdKey中的常量
 *
 * @author FrozenWatermelon
 * @date 2021/4/9
 */
public enum DistributedIdSysType {

    /**
     * 团购服务
     */
    MALL4CLOUD_GROUP(1, "mall4cloud-group"),

    /**
     * 秒杀服务
     */
    MALL4CLOUD_SECKILL(2, "mall4cloud-seckill"),
    /**
     * 商品服务
     */
    MALL4CLOUD_PRODUCT(3, "mall4cloud-product"),
    /**
     * 订单服务
     */
    MALL4CLOUD_ORDER(4, "mall4cloud-order"),
    /**
     * admin服务
     */
    MALL4CLOUD_ADMIN(5, "mall4cloud-admin"),

    /**
     * payment服务
     */
    MALL4CLOUD_PAYMENT(6, "mall4cloud-payment");

    private final Integer id;
    private final String sysName;


    public String value() {
        return sysName;
    }

    DistributedIdSysType(Integer id, String key) {
        this.id = id;
        this.sysName = key;
    }

    public static Integer getId(String value) {
        DistributedIdSysType[] enums = values();
        for (DistributedIdSysType globalDistributedIdKey : enums) {
            if (globalDistributedIdKey.sysName.equals(value)) {
                return globalDistributedIdKey.id;
            }
        }
        return null;
    }

}
