/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * sku-国际化表VO
 *
 * @author YXF
 * @date 2021-04-09 17:08:38
 */
public class SkuLangVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "sku id")
    private Long skuId;

    @Schema(description = "语言 1.中文 2.英文")
    private Integer lang;

    @Schema(description = "sku名称")
    private String skuName;

    @Schema(description = "组合主sku名称")
    private String comboSkuName;

    @Schema(description = "多个销售属性值id逗号分隔")
    private String attrs;

    public String getComboSkuName() {
        return comboSkuName;
    }

    public void setComboSkuName(String comboSkuName) {
        this.comboSkuName = comboSkuName;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Integer getLang() {
        return lang;
    }

    public void setLang(Integer lang) {
        this.lang = lang;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public String getAttrs() {
        return attrs;
    }

    public void setAttrs(String attrs) {
        this.attrs = attrs;
    }

    @Override
    public String toString() {
        return "SkuLangVO{" +
                "skuId=" + skuId +
                ",lang=" + lang +
                ",skuName=" + skuName +
                ",attrs=" + attrs +
                '}';
    }
}
