/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.product.vo.search;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author FrozenWatermelon
 * @date 2020/11/16
 */
public class ProductSearchVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "店铺信息")
    private ShopInfoSearchVO shopInfo;

    @Schema(description = "规格属性列表")
    private List<AttrSearchVO> attrs;

    @Schema(description = "品牌列表信息")
    private List<BrandSearchVO> brands;

    @Schema(description = "分类列表信息")
    private List<CategorySearchVO> categorys;

    @Schema(description = "spu列表信息")
    private List<SpuSearchVO> spus;

    @Schema(description = "搜索项信息")
    private SearchItemVO searchItem;

    public ShopInfoSearchVO getShopInfo() {
        return shopInfo;
    }

    public void setShopInfo(ShopInfoSearchVO shopInfo) {
        this.shopInfo = shopInfo;
    }

    public List<AttrSearchVO> getAttrs() {
        return attrs;
    }

    public void setAttrs(List<AttrSearchVO> attrs) {
        this.attrs = attrs;
    }

    public List<BrandSearchVO> getBrands() {
        return brands;
    }

    public void setBrands(List<BrandSearchVO> brands) {
        this.brands = brands;
    }

    public List<SpuSearchVO> getSpus() {
        return spus;
    }

    public void setSpus(List<SpuSearchVO> spus) {
        this.spus = spus;
    }

    public List<CategorySearchVO> getCategorys() {
        return categorys;
    }

    public void setCategorys(List<CategorySearchVO> categorys) {
        this.categorys = categorys;
    }

    public SearchItemVO getSearchItem() {
        return searchItem;
    }

    public void setSearchItem(SearchItemVO searchItem) {
        this.searchItem = searchItem;
    }

    @Override
    public String toString() {
        return "ProductSearchVO{" +
                "shopInfo=" + shopInfo +
                ", attrs=" + attrs +
                ", brands=" + brands +
                ", categorys=" + categorys +
                ", spus=" + spus +
                ", searchItem=" + searchItem +
                '}';
    }
}
