/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.flow.service;

import com.tmerclub.cloud.flow.dto.FlowAnalysisDTO;
import com.tmerclub.cloud.flow.vo.FlowAnalysisDataExcelVO;
import com.tmerclub.cloud.flow.vo.FlowAnalysisVO;
import com.tmerclub.cloud.flow.vo.FlowSourDataExcelVO;
import jakarta.servlet.http.HttpServletResponse;

import java.util.List;

/**
 * 流量分析—用户访问数据
 *
 * @author YXF
 * @date 2021-05-21 15:25:19
 */
public interface FlowUserAnalysisService {
    /**
     * 流量总览
     *
     * @param flowAnalysisDTO
     * @return
     */
    FlowAnalysisVO getFlowAnalysisData(FlowAnalysisDTO flowAnalysisDTO);

    /**
     * 流量趋势
     *
     * @param flowAnalysisDTO
     * @return
     */
    List<FlowAnalysisVO> flowTrend(FlowAnalysisDTO flowAnalysisDTO);

    /**
     * 流量来源构成
     *
     * @param flowAnalysisDTO
     * @return
     */
    List<FlowAnalysisVO> flowSour(FlowAnalysisDTO flowAnalysisDTO);

    /**
     * 获取流量总览导出列表
     *
     * @param flowAnalysisDTO
     * @return
     */
    List<FlowAnalysisDataExcelVO> listFlowAnalysisDataExcel(FlowAnalysisDTO flowAnalysisDTO);

    /**
     * 导出流量趋势
     *
     * @param response
     * @param flowAnalysisDTO
     */
    void exportFlowTrend(HttpServletResponse response, FlowAnalysisDTO flowAnalysisDTO);

    /**
     * 导出成交转换
     *
     * @param flowAnalysisDTO
     * @return
     */
    List<FlowSourDataExcelVO> listFlowSourDataExcel(FlowAnalysisDTO flowAnalysisDTO);
}
