/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.gateway.dev;

import org.springframework.web.server.ServerWebExchange;

/**
 * @author FrozenWatermelon
 * @date 2020/7/16
 */
public class DevWebFluxContext {

    /** The request holder. */
    private static final ThreadLocal<ServerWebExchange> SERVER_WEB_EXCHANGE_HOLDER = new ThreadLocal<>();

    public static ServerWebExchange get() {
        return SERVER_WEB_EXCHANGE_HOLDER.get();
    }

    public static void set(ServerWebExchange serverWebExchange) {
        SERVER_WEB_EXCHANGE_HOLDER.set(serverWebExchange);
    }

    public static void clean() {
        if (SERVER_WEB_EXCHANGE_HOLDER.get() != null) {
            SERVER_WEB_EXCHANGE_HOLDER.remove();
        }
    }

}
