/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.group.dto;

import com.tmerclub.cloud.common.order.dto.OrderDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;

import java.io.Serial;
import java.io.Serializable;

/**
 * 拼团订单
 *
 * @author FrozenWatermelon
 * @date 2021-04-07 10:39:32
 */
public class GroupOrderDTO extends OrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @NotNull(message = "活动商品规格Id不能为空")
    @Schema(description = "拼团商品规格Id", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long groupSkuId;

    public Long getGroupSkuId() {
        return groupSkuId;
    }

    public void setGroupSkuId(Long groupSkuId) {
        this.groupSkuId = groupSkuId;
    }

    @Override
    public String toString() {
        return "GroupOrderDTO{" +
                ", groupSkuId=" + groupSkuId +
                '}';
    }
}
