/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.distribution.controller.app;


import com.tmerclub.cloud.api.platform.vo.DistributionRecruitConfigApiVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.distribution.service.DistributionConfigService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 分销推广接口
 *
 * @author cl
 */
@RestController("appDistributionRecruitConfigController")
@RequestMapping("/distribution_recruit")
@Tag(name = "分销推广信息")
public class DistributionRecruitConfigController {

    @Autowired
    private DistributionConfigService distributionConfigService;

    @GetMapping("/info")
    @Operation(summary = "获取分销推广配置信息")
    public ServerResponseEntity<DistributionRecruitConfigApiVO> recruitInfo() {
        return ServerResponseEntity.success(distributionConfigService.getDistributionRecruitConfig());
    }

}
