/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.distribution.service.impl;

import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.util.PageUtil;
import com.tmerclub.cloud.common.database.vo.PageVO;
import com.tmerclub.cloud.distribution.mapper.DistributionSpuLogMapper;
import com.tmerclub.cloud.distribution.model.DistributionSpuLog;
import com.tmerclub.cloud.distribution.service.DistributionSpuLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 分销商品浏览记录信息
 *
 * @author cl
 * @date 2021-08-09 14:14:07
 */
@Service
public class DistributionSpuLogServiceImpl implements DistributionSpuLogService {

    @Autowired
    private DistributionSpuLogMapper distributionSpuLogMapper;

    @Override
    public PageVO<DistributionSpuLog> page(PageDTO pageDTO) {
        return PageUtil.doPage(pageDTO, () -> distributionSpuLogMapper.list());
    }

    @Override
    public DistributionSpuLog getByDistributionSpuLogId(Long distributionSpuLogId) {
        return distributionSpuLogMapper.getByDistributionSpuLogId(distributionSpuLogId);
    }

    @Override
    public void save(DistributionSpuLog distributionSpuLog) {
        distributionSpuLogMapper.save(distributionSpuLog);
    }

    @Override
    public void update(DistributionSpuLog distributionSpuLog) {
        distributionSpuLogMapper.update(distributionSpuLog);
    }

    @Override
    public void deleteById(Long distributionSpuLogId) {
        distributionSpuLogMapper.deleteById(distributionSpuLogId);
    }
}
