/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.live.service;

import com.tmerclub.cloud.live.vo.LiveMsgItemVO;
import com.tmerclub.cloud.live.vo.LiveRoomProdVO;

import java.util.List;

/**
 * 直播商品
 * @author TRACK
 */
public interface LiveRoomProdService {

    /**
     * 保存直播商品
     * @param roomId
     * @param spuIds
     */
    void save(Long roomId, List<Long> spuIds);

    /**
     * 更新直播商品
     * @param roomId
     * @param spuIds
     */
    void update(Long roomId, List<Long> spuIds);

    /**
     * 删除直播间商品
     * @param roomId
     */
    void delete(Long roomId);

    /**
     * 获取直播间商品 admin
     * @param roomId
     * @return
     */
    List<LiveRoomProdVO> listLiveRoomProdInfo(Long roomId);

    /**
     * 获取直播间商品 api
     * @param roomId
     * @return
     */
    List<LiveRoomProdVO> listLiveRoomProd(Long roomId);

    /**
     * 更新商品讲解状态
     * @param roomId
     * @param spuId
     * @param explainStatus
     * @return
     */
    int updateExplainStatus(Long roomId, Long spuId, Integer explainStatus);

    /**
     * 组装商品信息返回
     * @param liveMsgItem
     * @return
     */
    LiveMsgItemVO handleLiveProd(LiveMsgItemVO liveMsgItem);

    /**
     * 根据商品id获取正在直播的直播间信息
     * @param spuId
     * @return
     */
    LiveRoomProdVO getLivingRoomBySpuId(Long spuId);
}
