/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.delivery.service;

import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.vo.PageVO;
import com.tmerclub.cloud.delivery.model.TranscityFree;
import com.tmerclub.cloud.delivery.vo.TranscityFreeVO;

/**
 * 指定条件包邮城市项
 *
 * @author FrozenWatermelon
 * @date 2020-12-07 15:10:01
 */
public interface TranscityFreeService {

    /**
     * 分页获取指定条件包邮城市项列表
     * @param pageDTO 分页参数
     * @return 指定条件包邮城市项列表分页数据
     */
    PageVO<TranscityFreeVO> page(PageDTO pageDTO);

    /**
     * 根据指定条件包邮城市项id获取指定条件包邮城市项
     *
     * @param transcityFreeId 指定条件包邮城市项id
     * @return 指定条件包邮城市项
     */
    TranscityFreeVO getByTranscityFreeId(Long transcityFreeId);

    /**
     * 保存指定条件包邮城市项
     * @param transcityFree 指定条件包邮城市项
     */
    void save(TranscityFree transcityFree);

    /**
     * 更新指定条件包邮城市项
     * @param transcityFree 指定条件包邮城市项
     */
    void update(TranscityFree transcityFree);

    /**
     * 根据指定条件包邮城市项id删除指定条件包邮城市项
     * @param transcityFreeId
     */
    void deleteById(Long transcityFreeId);
}
