/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.delivery.service;

import com.tmerclub.cloud.api.delivery.vo.ShopTransportVO;
import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.vo.PageVO;
import com.tmerclub.cloud.common.order.vo.TransportVO;
import com.tmerclub.cloud.delivery.dto.TransportDTO;

import java.util.List;

/**
 * 运费模板
 *
 * @author FrozenWatermelon
 * @date 2020-12-07 15:10:01
 */
public interface TransportService {

    /**
     * 分页获取运费模板列表
     *
     * @param pageDTO      分页参数
     * @param transportDTO
     * @return 运费模板列表分页数据
     */
    PageVO<TransportVO> page(PageDTO pageDTO, TransportDTO transportDTO);

    /**
     * 根据id获取运费模板详细信息
     *
     * @param transportId 运费模板id
     * @return
     */
    TransportVO getTransportAndAllItemsById(Long transportId);

    /**
     * 保存运费模板信息
     *
     * @param transport 运费模板信息
     */
    void insertTransportAndTransFee(TransportDTO transport);

    /**
     * 更新运费模板
     *
     * @param transportDTO 运费模板
     */
    void updateTransportAndTransFee(TransportDTO transportDTO);

    /**
     * 根据运费模板ids删除运费模板
     *
     * @param transportId 运费模板id
     */
    void deleteTransportAndTransFeeAndTransCityById(Long transportId);

    /**
     * 根据id清除缓存
     *
     * @param transportId 运费模板id
     */
    void removeTransportAndAllItemsCache(Long transportId);

    /**
     * 根据店铺id获取所有的运费模板列表
     *
     * @param tenantId
     * @return
     */
    List<TransportVO> listTransport(Long tenantId);

    /**
     * 获取运费模板列表
     * @param ids
     * @return
     */
    List<ShopTransportVO> listTransportByIds(List<Long> ids);
}
