/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.delivery.service.impl;

import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.util.PageUtil;
import com.tmerclub.cloud.common.database.vo.PageVO;
import com.tmerclub.cloud.common.order.vo.TransfeeFreeVO;
import com.tmerclub.cloud.delivery.mapper.TransfeeFreeMapper;
import com.tmerclub.cloud.delivery.service.TransfeeFreeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 指定条件包邮项
 *
 * @author FrozenWatermelon
 * @date 2020-12-07 15:10:01
 */
@Service
public class TransfeeFreeServiceImpl implements TransfeeFreeService {

    @Autowired
    private TransfeeFreeMapper transfeeFreeMapper;

    @Override
    public PageVO<TransfeeFreeVO> page(PageDTO pageDTO) {
        return PageUtil.doPage(pageDTO, () -> transfeeFreeMapper.list());
    }

    @Override
    public TransfeeFreeVO getByTransfeeFreeId(Long transfeeFreeId) {
        return transfeeFreeMapper.getByTransfeeFreeId(transfeeFreeId);
    }
}
