/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.order.dto;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * 订单退款介入记录信息DTO
 *
 * @author FrozenWatermelon
 * @date 2023-08-25 10:45:35
 */
public class OrderRefundInterventionDTO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "退款id")
    private Long refundId;

    @Schema(description = "商家/供应商/用户id")
    private Long bizId;

    @Schema(description = "系统类型， 0.普通用户 1.商家端 2.平台端 3.供应商端")
    private Integer sysType;

    @Schema(description = "凭证说明")
    private String voucherDesc;

    @Schema(description = "文件凭证(逗号隔开)")
    private String imgUrls;

    @Schema(description = "退款金额")
    private Long refundAmount;

    /**
     * 退款原因
     */
    @Schema(description = "退款原因")
    private String rejectMessage;

    @Schema(description = "平台介入退款方式 1.商家承担 2.商家供应商承担（供应商发货订单） 3.不同意退款")
    private Integer platformInterventionRefundType;

    /**
     * 平台留言
     */
    @Schema(description = "平台留言")
    private String platformMessage;
    @Schema(description = "支付完成回跳地址", requiredMode = Schema.RequiredMode.REQUIRED)
    private String returnUrl;
    /**
     * 商家备注
     */
    private String sellerMsg;

    public String getRejectMessage() {
        return rejectMessage;
    }

    public void setRejectMessage(String rejectMessage) {
        this.rejectMessage = rejectMessage;
    }

    public String getReturnUrl() {
        return returnUrl;
    }

    public void setReturnUrl(String returnUrl) {
        this.returnUrl = returnUrl;
    }

    public String getSellerMsg() {
        return sellerMsg;
    }

    public void setSellerMsg(String sellerMsg) {
        this.sellerMsg = sellerMsg;
    }

    public Long getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Long refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Integer getPlatformInterventionRefundType() {
        return platformInterventionRefundType;
    }

    public void setPlatformInterventionRefundType(Integer platformInterventionRefundType) {
        this.platformInterventionRefundType = platformInterventionRefundType;
    }

    public String getPlatformMessage() {
        return platformMessage;
    }

    public void setPlatformMessage(String platformMessage) {
        this.platformMessage = platformMessage;
    }


    public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public String getVoucherDesc() {
        return voucherDesc;
    }

    public void setVoucherDesc(String voucherDesc) {
        this.voucherDesc = voucherDesc;
    }

    public String getImgUrls() {
        return imgUrls;
    }

    public void setImgUrls(String imgUrls) {
        this.imgUrls = imgUrls;
    }
    @Override
    public String toString() {
        return "OrderRefundInterventionDTO{" +
                ", refundId=" + refundId +
                ", bizId=" + bizId +
                ", sysType=" + sysType +
                ", voucherDesc='" + voucherDesc + '\'' +
                ", imgUrls='" + imgUrls + '\'' +
                ", refundAmount=" + refundAmount +
                ", rejectMessage='" + rejectMessage + '\'' +
                ", platformInterventionRefundType=" + platformInterventionRefundType +
                ", platformMessage='" + platformMessage + '\'' +
                ", returnUrl='" + returnUrl + '\'' +
                ", sellerMsg='" + sellerMsg + '\'' +
                '}';
    }
}
