/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.order.dto.multishop;

import com.tmerclub.cloud.order.dto.OrderAddrDTO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 订单参数
 *
 * @author FrozenWatermelon
 * @date 2020-12-04 11:27:35
 */
public class OrderAdminDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "运费金额")
    private Long freightAmount;

    @Schema(description = "订单项")
    private List<OrderItemDTO> orderItems;

    @Schema(description = "用户收货地址")
    private OrderAddrDTO orderAddrDTO;

    @Schema(description = "支付完成回跳地址", requiredMode = Schema.RequiredMode.REQUIRED)
    private String returnUrl;

    public String getReturnUrl() {
        return returnUrl;
    }

    public void setReturnUrl(String returnUrl) {
        this.returnUrl = returnUrl;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getFreightAmount() {
        return freightAmount;
    }

    public void setFreightAmount(Long freightAmount) {
        this.freightAmount = freightAmount;
    }

    public List<OrderItemDTO> getOrderItems() {
        return orderItems;
    }

    public void setOrderItems(List<OrderItemDTO> orderItems) {
        this.orderItems = orderItems;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public OrderAddrDTO getOrderAddrDTO() {
        return orderAddrDTO;
    }

    public void setOrderAddrDTO(OrderAddrDTO orderAddrDTO) {
        this.orderAddrDTO = orderAddrDTO;
    }

    @Override
    public String toString() {
        return "OrderAdminDTO{" +
                "orderId=" + orderId +
                ", shopId=" + shopId +
                ", freightAmount=" + freightAmount +
                ", orderItems=" + orderItems +
                ", orderAddrDTO=" + orderAddrDTO +
                ", returnUrl='" + returnUrl + '\'' +
                '}';
    }
}
