package com.tmerclub.cloud.order.mapper;

import com.tmerclub.cloud.order.model.AllotOrderItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author gaozijie
 * @date 2023-11-20
 */
public interface AllotOrderItemMapper {
    /**
     * 批量新增调拨订单商品
     * @param allotOrderItems 调拨订单商品
     */
    void addBatchAllotOrderItem(@Param("allotOrderItems") List<AllotOrderItem> allotOrderItems);

    /**
     * 批量更新调拨订单商品
     * @param allotOrderItems 调拨订单商品dto
     */
    void updateBatchAllotOrderItem(@Param("allotOrderItems") List<AllotOrderItem> allotOrderItems);

    /**
     * 更新调拨订单商品
     * @param allotOrderItem 调拨订单商品
     */
    void updateAllotOrderItem(@Param("allotOrderItem") AllotOrderItem allotOrderItem);
}
