/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.order.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 订单excel信息
 *
 * @author YXF
 * @date 2020-3-9
 */
public class PurchaseOrderExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "订单信息";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9};

    @ExcelProperty(value = {"订单信息", "序号"}, index = 0)
    private String seq;

    @ExcelProperty(value = {"订单信息", "订单ID"}, index = 1)
    private String purchaseOrderId;

    @DateTimeFormat("yyyy-MM-dd")
    @ExcelProperty(value = {"订单信息", "下单时间"}, index = 2)
    private Date createTime;

    @ExcelProperty(value = {"订单信息", "配送类型"}, index = 3)
    private String deliveryType;

    @ExcelProperty(value = {"订单信息", "收货人姓名"}, index = 4)
    private String consignee;

    @ExcelProperty(value = {"订单信息", "收货人手机"}, index = 5)
    private String mobile;

    @ExcelProperty(value = {"订单信息", "收货地址"}, index = 6)
    private String receivingAddr;

    @ExcelProperty(value = {"订单信息", "订单总额"}, index = 7)
    private String totalAmount;

    @ExcelProperty(value = {"订单信息", "支付类型"}, index = 8)
    private String payType;

    @ExcelProperty(value = {"订单信息", "订单状态"}, index = 9)
    private String status;

    @ExcelProperty({"订单项信息", "商品名称"})
    private String spuName;

    @ExcelProperty({"订单项信息", "sku名称"})
    private String skuName;

    @ExcelProperty({"订单项信息", "商品价格"})
    private String purchasePrice;

    @ExcelProperty({"订单项信息", "商品数量"})
    private Integer purchaseStock;

    @ExcelProperty({"订单项信息", "商品总金额"})
    private String purchaseAmount;

    @ExcelIgnore
    private List<PurchaseOrderItemLangVO> orderItemLangList;

    public String getSeq() {
        return seq;
    }

    public void setSeq(String seq) {
        this.seq = seq;
    }

    public String getPurchaseOrderId() {
        return purchaseOrderId;
    }

    public void setPurchaseOrderId(String purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDeliveryType() {
        return deliveryType;
    }

    public void setDeliveryType(String deliveryType) {
        this.deliveryType = deliveryType;
    }

    public String getConsignee() {
        return consignee;
    }

    public void setConsignee(String consignee) {
        this.consignee = consignee;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getReceivingAddr() {
        return receivingAddr;
    }

    public void setReceivingAddr(String receivingAddr) {
        this.receivingAddr = receivingAddr;
    }

    public String getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(String totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public String getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(String purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public Integer getPurchaseStock() {
        return purchaseStock;
    }

    public void setPurchaseStock(Integer purchaseStock) {
        this.purchaseStock = purchaseStock;
    }

    public String getPurchaseAmount() {
        return purchaseAmount;
    }

    public void setPurchaseAmount(String purchaseAmount) {
        this.purchaseAmount = purchaseAmount;
    }

    public List<PurchaseOrderItemLangVO> getOrderItemLangList() {
        return orderItemLangList;
    }

    public void setOrderItemLangList(List<PurchaseOrderItemLangVO> orderItemLangList) {
        this.orderItemLangList = orderItemLangList;
    }

    @Override
    public String toString() {
        return "OrderExcelVO{" +
                "seq='" + seq + '\'' +
                ", purchaseOrderId=" + purchaseOrderId +
                ", createTime=" + createTime +
                ", deliveryType='" + deliveryType + '\'' +
                ", consignee='" + consignee + '\'' +
                ", mobile='" + mobile + '\'' +
                ", receivingAddr='" + receivingAddr + '\'' +
                ", total=" + totalAmount +
//                ", freightAmount=" + freightAmount +
                ", payType=" + payType +
                ", status=" + status +
                ", spuName=" + spuName +
                ", skuName=" + skuName +
                ", price=" + purchasePrice +
                ", count=" + purchaseStock +
                ", spuTotalAmount=" + purchaseAmount +
                ", orderItemLangList='" + orderItemLangList + '\'' +
                '}';
    }
}
