/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.order.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.tmerclub.cloud.common.model.ExcelModel;

import java.io.Serial;
import java.io.Serializable;

/**
 * spu信息VO
 *
 * @author FrozenWatermelon
 * @date 2020-10-28 15:27:24
 */
public class PurchaseSpuExcelVO extends ExcelModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "采购信息";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    /**
     * xls文件
     */
    public static final String XLS_FILE = "xls";

    /**
     * xlsx文件
     */
    public static final String XLSX_FILE = "xlsx";

    /**
     * 表头（用于excel模板校验）
     */
    public static final String HEADER = "商品信息";
    public static final String[] HEADER_ARRAY = {"*商品编码(必填)*", "商品名称", "采购数量"};

    @ExcelProperty(value = {HEADER, "*商品编码(必填)*"}, index = 0)
    private String partyCode;

    @ExcelProperty(value = {HEADER, "商品名称"}, index = 1)
    private String spuName;

    @ExcelProperty(value = {HEADER, "采购数量"}, index = 2)
    private Integer purchaseStock;

    public String getPartyCode() {
        return partyCode;
    }

    public void setPartyCode(String partyCode) {
        this.partyCode = partyCode;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public Integer getPurchaseStock() {
        return purchaseStock;
    }

    public void setPurchaseStock(Integer purchaseStock) {
        this.purchaseStock = purchaseStock;
    }

    @Override
    public String toString() {
        return "PurchaseSpuExcelVO{" +
                "partyCode='" + partyCode + '\'' +
                ", spuName='" + spuName + '\'' +
                ", purchaseStock=" + purchaseStock +
                '}';
    }
}
