/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.payment.bo;

import com.tmerclub.cloud.api.order.vo.ShopAmountVO;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author FrozenWatermelon
 * @date 2020/12/25
 */
public class PayInfoBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 支付信息，如商品名称
     */
    private String body;

    /**
     * 支付单号
     */
    private Long payId;

    /**
     * 付款金额
     */
    private Long payAmount;

    /**
     * 支付方式
     */
    private Integer payType;

    /**
     * api回调域名
     */
    private String apiNoticeUrl;

    /**
     * 支付完成会跳地址
     */
    private String returnUrl;

    /**
     * 第三方用户id
     */
    private String bizUserId;

    /**
     * 通联用户id
     */
    private String allinpayUserId;

    /**
     * 支付回调地址类型
     */
    private Integer backType;

    /**
     * 订单ids
     */
    private String orderIds;

    /**
     * 是否是购买会员
     */
    private Boolean isVip;

    /**
     * 是否进行充值
     */
    private Boolean isRecharge;

    /**
     * 用户id
     */
    private String userId;
    /**
     * 系统类型 1:移动端 2:pc
     */
    private Integer systemType;
    /**
     * 交易验证方式 0.仅渠道验证，通商云不做交易验证 1.通商云发送并验证短信验证码，有效期3分钟。2.验证通商云支付密码
     */
    private Long validateType;
    /**
     * 扩展信息，通联独有
     */
    private String extendInfo;

    /**
     * 支付系统类型 0默认 1通联
     */
    private Integer paySysType;

    /**
     * 收款ids
     */
    private List<ShopAmountVO> receiveList;

    public List<ShopAmountVO> getReceiveList() {
        return receiveList;
    }

    public void setReceiveList(List<ShopAmountVO> receiveList) {
        this.receiveList = receiveList;
    }

    public String getExtendInfo() {
        return extendInfo;
    }

    public void setExtendInfo(String extendInfo) {
        this.extendInfo = extendInfo;
    }

    public Long getValidateType() {
        return validateType;
    }

    public void setValidateType(Long validateType) {
        this.validateType = validateType;
    }

    public Integer getSystemType() {
        return systemType;
    }

    public void setSystemType(Integer systemType) {
        this.systemType = systemType;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getOrderIds() {
        return orderIds;
    }

    public void setOrderIds(String orderIds) {
        this.orderIds = orderIds;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    public Long getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Long payAmount) {
        this.payAmount = payAmount;
    }


    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getApiNoticeUrl() {
        return apiNoticeUrl;
    }

    public void setApiNoticeUrl(String apiNoticeUrl) {
        this.apiNoticeUrl = apiNoticeUrl;
    }

    public String getReturnUrl() {
        return returnUrl;
    }

    public void setReturnUrl(String returnUrl) {
        this.returnUrl = returnUrl;
    }

    public String getBizUserId() {
        return bizUserId;
    }

    public void setBizUserId(String bizUserId) {
        this.bizUserId = bizUserId;
    }

    public Integer getBackType() {
        return backType;
    }

    public void setBackType(Integer backType) {
        this.backType = backType;
    }

    public Boolean getIsVip() {
        return isVip;
    }

    public void setIsVip(Boolean isVip) {
        this.isVip = isVip;
    }

    public Boolean getVip() {
        return isVip;
    }

    public void setVip(Boolean vip) {
        isVip = vip;
    }

    public Boolean getRecharge() {
        return isRecharge;
    }

    public void setRecharge(Boolean recharge) {
        isRecharge = recharge;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    public String getAllinpayUserId() {
        return allinpayUserId;
    }

    public void setAllinpayUserId(String allinpayUserId) {
        this.allinpayUserId = allinpayUserId;
    }

    @Override
    public String toString() {
        return "PayInfoBO{" +
                "body='" + body + '\'' +
                ", payId=" + payId +
                ", payAmount=" + payAmount +
                ", payType=" + payType +
                ", apiNoticeUrl='" + apiNoticeUrl + '\'' +
                ", returnUrl='" + returnUrl + '\'' +
                ", bizUserId='" + bizUserId + '\'' +
                ", allinpayUserId='" + allinpayUserId + '\'' +
                ", backType=" + backType +
                ", orderIds='" + orderIds + '\'' +
                ", isVip=" + isVip +
                ", isRecharge=" + isRecharge +
                ", userId='" + userId + '\'' +
                ", systemType=" + systemType +
                ", validateType=" + validateType +
                ", extendInfo='" + extendInfo + '\'' +
                ", paySysType=" + paySysType +
                ", receiveList=" + receiveList +
                '}';
    }
}
