/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.payment.dto;

import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;

import java.io.Serial;
import java.io.Serializable;

/**
 * 购买vip支付信息
 *
 * @author FrozenWatermelon
 */
public class BuyVipPayInfoDTO extends BasePayInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @NotNull
    @Schema(description = "用户等级id")
    private Long userLevelLogId;

    @Hidden
    @Schema(description = "支付系统类型(非填)")
    private Integer paySysType;

    public Long getUserLevelLogId() {
        return userLevelLogId;
    }

    public void setUserLevelLogId(Long userLevelLogId) {
        this.userLevelLogId = userLevelLogId;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    @Override
    public String toString() {
        return "BuyVipPayInfoDTO{" +
                "userLevelLogId=" + userLevelLogId +
                ", paySysType=" + paySysType +
                '}';
    }
}
