/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商品调价记录DTO
 *
 * @author lhd
 * @date 2022-06-29 17:48:25
 */
public class SpuPriceLogDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商品调价记录id")
    private Long id;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "规格id")
    private Long skuId;

    @Schema(description = "原供货价")
    private Long beforePrice;

    @Schema(description = "现供货价")
    private Long afterPrice;

    @Schema(description = "差价")
    private Long price;


    @Schema(description = "搜索商品关键词(商品名称或商品编码)")
    private String prodKey;

    @Schema(description = "调价开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createStartTime;

    @Schema(description = "调价结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createEndTime;

    @Schema(description = "排序：1.SKU编码正序,2.SKU编码倒序,3原供货价正序,4原供货价倒序,5调整后供货价正序,6调整后供货价倒序 7差价正序 8差价倒序")
    private Integer sort;


    @Schema(description = "供应商id")
    private Long supplierId;

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getProdKey() {
        return prodKey;
    }

    public void setProdKey(String prodKey) {
        this.prodKey = prodKey;
    }

    public Date getCreateStartTime() {
        return createStartTime;
    }

    public void setCreateStartTime(Date createStartTime) {
        this.createStartTime = createStartTime;
    }

    public Date getCreateEndTime() {
        return createEndTime;
    }

    public void setCreateEndTime(Date createEndTime) {
        this.createEndTime = createEndTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getBeforePrice() {
        return beforePrice;
    }

    public void setBeforePrice(Long beforePrice) {
        this.beforePrice = beforePrice;
    }

    public Long getAfterPrice() {
        return afterPrice;
    }

    public void setAfterPrice(Long afterPrice) {
        this.afterPrice = afterPrice;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    @Override
    public String toString() {
        return "SpuPriceLogDTO{" +
                "id=" + id +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", beforePrice=" + beforePrice +
                ", afterPrice=" + afterPrice +
                ", price=" + price +
                ", prodKey='" + prodKey + '\'' +
                ", createStartTime=" + createStartTime +
                ", createEndTime=" + createEndTime +
                ", sort=" + sort +
                ", supplierId=" + supplierId +
                '}';
    }
}
