/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 出入库原因DTO
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
public class StockChangeReasonDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long stockChangeReasonId;

    @Schema(description = "出入库类别，1：出库 2：入库")
    private Integer type;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "状态，1：启用 0：禁用 -1：删除")
    private Integer status;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "是否系统内置")
    private Integer sysSet;

    @Schema(description = "原因")
    private String reason;

    @Schema(description = "系统类型")
    private Integer sysType;

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getSysSet() {
        return sysSet;
    }

    public void setSysSet(Integer sysSet) {
        this.sysSet = sysSet;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Long getStockChangeReasonId() {
        return stockChangeReasonId;
    }

    public void setStockChangeReasonId(Long stockChangeReasonId) {
        this.stockChangeReasonId = stockChangeReasonId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "StockChangeReasonDTO{" +
                "stockChangeReasonId=" + stockChangeReasonId +
                ", type=" + type +
                ", shopId=" + shopId +
                ", status=" + status +
                ", remark='" + remark + '\'' +
                ", sysSet=" + sysSet +
                ", reason='" + reason + '\'' +
                ", sysType=" + sysType +
                '}';
    }
}
