/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 盘点商品列表DTO
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
public class TakeStockSpuDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "盘点商品id")
    private Long takeStockSpuId;

    @Schema(description = "盘点id")
    private Long takeStockId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "sku_id")
    private Long skuId;

    @Schema(description = "账面库存")
    private Integer stocks;

    @Schema(description = "实盘库存")
    private Integer totalStock;

    @Schema(description = "盈亏类型 0盘平 1盘盈 2盘亏 -1异常")
    private Integer ioType;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "异常原因 1.删除商品 2.盘点期间有库存变动 3.其他")
    private Integer exceptionReason;

    public Long getTakeStockSpuId() {
        return takeStockSpuId;
    }

    public void setTakeStockSpuId(Long takeStockSpuId) {
        this.takeStockSpuId = takeStockSpuId;
    }

    public Long getTakeStockId() {
        return takeStockId;
    }

    public void setTakeStockId(Long takeStockId) {
        this.takeStockId = takeStockId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Integer getStocks() {
        return stocks;
    }

    public void setStocks(Integer stocks) {
        this.stocks = stocks;
    }

    public Integer getTotalStock() {
        return totalStock;
    }

    public void setTotalStock(Integer totalStock) {
        this.totalStock = totalStock;
    }

    public Integer getIoType() {
        return ioType;
    }

    public void setIoType(Integer ioType) {
        this.ioType = ioType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getExceptionReason() {
        return exceptionReason;
    }

    public void setExceptionReason(Integer exceptionReason) {
        this.exceptionReason = exceptionReason;
    }

    @Override
    public String toString() {
        return "TakeStockSpuDTO{" +
                "takeStockSpuId=" + takeStockSpuId +
                ",takeStockId=" + takeStockId +
                ",spuId=" + spuId +
                ",skuId=" + skuId +
                ",stocks=" + stocks +
                ",totalStock=" + totalStock +
                ",ioType=" + ioType +
                ",remark=" + remark +
                ",exceptionReason=" + exceptionReason +
                '}';
    }
}
