/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.mapper;

import com.tmerclub.cloud.product.dto.CategoryDTO;
import com.tmerclub.cloud.product.model.CategoryLang;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 分类-国际化表
 *
 * @author YXF
 * @date 2021-04-22 17:48:16
 */
public interface CategoryLangMapper {

    /**
     * 获取分类-国际化表列表
     *
     * @return 分类-国际化表列表
     */
    List<CategoryLang> list();

    /**
     * 根据分类-国际化表id获取分类-国际化表
     *
     * @param categoryId 分类-国际化表id
     * @return 分类-国际化表
     */
    CategoryLang getByCategoryId(@Param("categoryId") Long categoryId);

    /**
     * 根据分类-国际化表id删除分类-国际化表
     *
     * @param categoryId
     */
    void deleteById(@Param("categoryId") Long categoryId);

    /**
     * 批量保存多语言信息
     *
     * @param categoryLangList
     */
    void batchSave(@Param("categoryLangList") List<CategoryLang> categoryLangList);

    /**
     * 批量更新多语言信息
     *
     * @param categoryLangList
     */
    void batchUpdate(@Param("categoryLangList") List<CategoryLang> categoryLangList);

    /**
     * 批量删除
     *
     * @param langIds
     * @param categoryId
     */
    void batchDelete(@Param("langIds") List<Integer> langIds, @Param("categoryId") Long categoryId);

    /**
     * 查询分类名是否存在
     *
     * @param categoryDTO
     * @return 已存在的名称列表
     */
    List<String> existCategoryName(@Param("category") CategoryDTO categoryDTO);
}
