/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 品牌分类关联信息
 *
 * @author FrozenWatermelon
 * @date 2021-04-27 16:40:44
 */
public class CategoryShop extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long categoryShopId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 分类id
     */
    private Long categoryId;

    /**
     * 扣率: 为空代表采用平台扣率
     */
    private Double rate;

    /**
     * 经营资质图片，以,分割
     */
    private String qualifications;
    /**
     * 关联系统类型 1.店铺 2.平台端 3.供应商
     */
    private Integer sysType;


    public Long getCategoryShopId() {
        return categoryShopId;
    }

    public void setCategoryShopId(Long categoryShopId) {
        this.categoryShopId = categoryShopId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public Double getRate() {
        return rate;
    }

    public void setRate(Double rate) {
        this.rate = rate;
    }

    public String getQualifications() {
        return qualifications;
    }

    public void setQualifications(String qualifications) {
        this.qualifications = qualifications;
    }

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    @Override
    public String toString() {
        return "CategoryShop{" +
                "categoryShopId=" + categoryShopId +
                ", shopId=" + shopId +
                ", categoryId=" + categoryId +
                ", rate=" + rate +
                ", qualifications='" + qualifications + '\'' +
                ", sysType=" + sysType +
                '}';
    }
}
