/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.service;

import com.tmerclub.cloud.common.product.vo.SpuDetailVO;
import com.tmerclub.cloud.product.model.SpuDetail;

import java.util.List;

/**
 * 商品详情信息
 *
 * @author FrozenWatermelon
 * @date 2020-10-28 15:27:24
 */
public interface SpuDetailService {

    /**
     * 批量保存商品详情信息
     * @param spuDetailList 商品详情信息
     */
    void batchSave(List<SpuDetail> spuDetailList);

    /**
     * 批量更新商品详情信息
     * @param spuDetailList 商品详情信息
     */
    void batchUpdate(List<SpuDetail> spuDetailList);

    /**
     * 根据商品详情信息id删除商品详情信息
     * @param spuId
     */
    void deleteById(Long spuId);

    /**
     * 更新商品详情
     * @param spuDetailList
     * @param detailList
     * @param spuId
     */
    void update(List<SpuDetail> spuDetailList, List<SpuDetailVO> detailList, Long spuId);
}
