/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.service.impl;

import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.util.PageUtil;
import com.tmerclub.cloud.common.database.vo.PageVO;
import com.tmerclub.cloud.product.mapper.SpuSkuAttrValueLangMapper;
import com.tmerclub.cloud.product.model.SpuSkuAttrValueLang;
import com.tmerclub.cloud.product.service.SpuSkuAttrValueLangService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 商品sku销售属性关联信息-国际化
 *
 * @author YXF
 * @date 2021-04-09 17:08:38
 */
@Service
public class SpuSkuAttrValueLangServiceImpl implements SpuSkuAttrValueLangService {

    @Autowired
    private SpuSkuAttrValueLangMapper spuSkuAttrValueLangMapper;

    @Override
    public PageVO<SpuSkuAttrValueLang> page(PageDTO pageDTO) {
        return PageUtil.doPage(pageDTO, () -> spuSkuAttrValueLangMapper.list());
    }

    @Override
    public SpuSkuAttrValueLang getBySpuSkuAttrId(Long spuSkuAttrId) {
        return spuSkuAttrValueLangMapper.getBySpuSkuAttrId(spuSkuAttrId);
    }

    @Override
    public void save(SpuSkuAttrValueLang spuSkuAttrValueLang) {
        spuSkuAttrValueLangMapper.save(spuSkuAttrValueLang);
    }

    @Override
    public void update(SpuSkuAttrValueLang spuSkuAttrValueLang) {
        spuSkuAttrValueLangMapper.update(spuSkuAttrValueLang);
    }

    @Override
    public void deleteById(Long spuSkuAttrId) {
        spuSkuAttrValueLangMapper.deleteById(spuSkuAttrId);
    }
}
