/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @Author lth
 * @Date 2021/4/26 9:28
 */
public class CategoryShopVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键id")
    private Long categoryShopId;

    @Schema(description = "分类id")
    private Long categoryId;

    @Schema(description = "分类名称")
    private String name;

    @Schema(description = "上级分类id")
    private Long parentId;

    @Schema(description = "上级分类名称")
    private String parentName;

    @Schema(description = "平台扣率")
    private Double platformRate;

    @Schema(description = "自定义扣率，为空代表采用平台扣率")
    private Double customizeRate;

    @Schema(description = "经营资质")
    private String qualifications;

    @Schema(description = "分类状态 1:上架 0:下架 -1:已删除")
    private Integer categoryStatus;

    @Schema(description = "关联系统类型 1.店铺 2.平台端 3.供应商")
    private Integer sysType;

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public Integer getCategoryStatus() {
        return categoryStatus;
    }

    public void setCategoryStatus(Integer categoryStatus) {
        this.categoryStatus = categoryStatus;
    }

    public Long getCategoryShopId() {
        return categoryShopId;
    }

    public void setCategoryShopId(Long categoryShopId) {
        this.categoryShopId = categoryShopId;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public Double getPlatformRate() {
        return platformRate;
    }

    public void setPlatformRate(Double platformRate) {
        this.platformRate = platformRate;
    }

    public Double getCustomizeRate() {
        return customizeRate;
    }

    public void setCustomizeRate(Double customizeRate) {
        this.customizeRate = customizeRate;
    }

    public String getQualifications() {
        return qualifications;
    }

    public void setQualifications(String qualifications) {
        this.qualifications = qualifications;
    }

    @Override
    public String toString() {
        return "CategoryShopVO{" +
                "categoryShopId=" + categoryShopId +
                ", categoryId=" + categoryId +
                ", name='" + name + '\'' +
                ", parentId=" + parentId +
                ", parentName='" + parentName + '\'' +
                ", platformRate=" + platformRate +
                ", customizeRate=" + customizeRate +
                ", qualifications='" + qualifications + '\'' +
                ", categoryStatus=" + categoryStatus +
                ", sysType=" + sysType +
                '}';
    }
}
