/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.search.feign;

import com.tmerclub.cloud.api.feign.SearchOrderRefundFeignClient;
import com.tmerclub.cloud.api.vo.EsPageVO;
import com.tmerclub.cloud.common.order.dto.OrderRefundSearchDTO;
import com.tmerclub.cloud.common.order.vo.EsOrderRefundVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.search.manager.OrderRefundSearchManager;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 订单搜索feign连接
 * @author YXF
 * @date 2020/12/07
 */
@DubboService
public class SearchOrderRefundFeignController implements SearchOrderRefundFeignClient {

    @Autowired
    private OrderRefundSearchManager orderRefundSearchManager;


    @Override
    public ServerResponseEntity<EsPageVO<EsOrderRefundVO>> pageOrderRefund(OrderRefundSearchDTO orderRefundSearchDTO) {
        return ServerResponseEntity.success(orderRefundSearchManager.pageSearchResult(orderRefundSearchDTO));
    }
}
