/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.seckill.service;

import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.vo.PageVO;
import com.tmerclub.cloud.seckill.dto.SeckillStockPointSkuDTO;
import com.tmerclub.cloud.seckill.model.SeckillStockPointSku;

import java.util.List;

/**
 *
 *
 * @author FrozenWatermelon
 * @date 2023-11-23 15:32:01
 */
public interface SeckillStockPointSkuService {

    /**
     * 分页获取列表
     * @param pageDTO 分页参数
     * @return 列表分页数据
     */
    PageVO<SeckillStockPointSku> page(PageDTO pageDTO);

    /**
     * 根据id获取
     *
     * @param seckillStockPointSkuId id
     * @return
     */
    SeckillStockPointSku getBySeckillStockPointSkuId(Long seckillStockPointSkuId);

    /**
     * 保存
     * @param seckillStockPointSku
     */
    void save(SeckillStockPointSku seckillStockPointSku);

    /**
     * 更新
     * @param seckillStockPointSku
     */
    void update(SeckillStockPointSku seckillStockPointSku);

    /**
     * 根据id删除
     * @param seckillStockPointSkuId id
     */
    void deleteById(Long seckillStockPointSkuId);

    /**
     * 批量保存库存点和商品关联
     * @param stockPointDTOList
     */
    void batchSave(List<SeckillStockPointSkuDTO> stockPointDTOList);
}
