/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.user.controller.platform;

import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.user.dto.UserAdminDTO;
import com.tmerclub.cloud.user.dto.UserTagUserDTO;
import com.tmerclub.cloud.user.service.UserTagUserService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 用户和标签关联表
 *
 * @author YXF
 * @date 2020-12-08 10:16:53
 */
@RestController("platformUserTagUserController")
@RequestMapping("/p/user_tag_user")
@Tag(name = "platform-用户和标签关联表")
public class UserTagUserController {

    @Autowired
    private UserTagUserService userTagUserService;

    @PutMapping("/update_user_Tag")
    @Operation(summary = "平台批量修改会员标签", description = "平台批量修改会员标签")
    public ServerResponseEntity<Boolean> batchUpdateUserTag(@RequestBody UserAdminDTO userAdminDTO) {
        return ServerResponseEntity.success(userTagUserService.batchUpdateUserTag(userAdminDTO));
    }

    @DeleteMapping("/delete_user_tag")
    @Operation(summary = "删除会员的某个标签", description = "删除会员的某个标签")
    public ServerResponseEntity<Boolean> deleteUserTag(@RequestBody UserTagUserDTO userTagUserDTO) {
        return ServerResponseEntity.success(userTagUserService.removeByUserIdAndTagId(userTagUserDTO.getUserId(), userTagUserDTO.getUserTagId()));
    }

}
