/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.user.mapper;

import com.tmerclub.cloud.user.model.UserRightsCoupon;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author FrozenWatermelon
 * @date 2021-04-25 16:01:58
 */
public interface UserRightsCouponMapper {

    /**
     * 获取列表
     *
     * @return 列表
     */
    List<UserRightsCoupon> list();

    /**
     * 根据id获取
     *
     * @param rightsCouponId id
     * @return
     */
    UserRightsCoupon getByRightsCouponId(@Param("rightsCouponId") Long rightsCouponId);

    /**
     * 保存
     *
     * @param userRightsCoupon
     */
    void save(@Param("userRightsCoupon") UserRightsCoupon userRightsCoupon);

    /**
     * 更新
     *
     * @param userRightsCoupon
     */
    void update(@Param("userRightsCoupon") UserRightsCoupon userRightsCoupon);

    /**
     * 根据id删除
     *
     * @param rightsCouponId
     */
    void deleteById(@Param("rightsCouponId") Long rightsCouponId);

    /**
     * 根据权益id删除
     *
     * @param rightsId 权益id
     */
    void deleteByRightsId(@Param("rightsId") Long rightsId);

    /**
     * 根据优惠券id列表，获取权益id列表
     *
     * @param couponIds 优惠券id列表
     * @return 权益id列表
     */
    List<Long> listRightsIdByCouponIds(@Param("couponIds") List<Long> couponIds);

    /**
     * 根据优惠券id列表删除
     *
     * @param couponIds 优惠券id列表
     */
    void deleteByCouponIds(@Param("couponIds") List<Long> couponIds);
}
