/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.user.service;

import com.tmerclub.cloud.user.model.UserConsignee;
import org.apache.ibatis.annotations.Param;

/**
 * 用户提货人信息
 *
 * @author FrozenWatermelon
 * @date 2020-12-15 17:18:56
 */
public interface UserConsigneeService {

    /**
     * 根据用户id获取用户提货人信息
     * @param userId 用户id
     * @return 用户提货人信息
     */
    UserConsignee getByUserId(Long userId);

    /**
     * 保存用户提货人信息
     * @param userConsignee 用户提货人信息
     */
    void save(UserConsignee userConsignee);

    /**
     * 更新用户提货人信息
     * @param userConsignee 用户提货人信息
     */
    void update(UserConsignee userConsignee);

    /**
     * 删除用户提货人信息
     *
     * @param userId 用户id
     * @return
     */
    void deleteByUserId(@Param("userId") Long userId);
}
